## EMBOSS: abiview

# Program abiview

## Function

Reads ABI file and display the trace

## Description

abiview reads in an ABI sequence trace file and graphically displays the results.

The data for each nucleotide is plotted and the assigned nucleotide (G, A, T, C or N) in the ABI file is overlayed on the graphs.

It also writes out the sequence to an output sequence file.

## Usage

Here is a sample session with abiview:

    % abiview
    Name of the ABI trace file: ba16d2.s1
    Output sequence [outfile.fasta]:
    Graph type [x11]:

## Command line arguments

       Mandatory qualifiers:
      [-fname]             string     Name of the ABI trace file
      [-outseq]            seqout     Sequence file
       -graph              xygraph    Graph type

       Optional qualifiers:
       -yticks             bool       Display y-axis ticks
       -[no]sequence       bool       Display the sequence on the graph
       -window             integer    Sequence display window size
       -bases              string     Base graphs to be displayed

       Advanced qualifiers:
       -separate           bool       Separate the trace graphs for the 4 bases

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-fname] (Parameter 1) | Name of the ABI trace file | Any string is accepted | An empty string is accepted
[-outseq] (Parameter 2) | Sequence file | Writeable sequence | <sequence>.format
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
Optional qualifiers | Allowed values | Default
-yticks | Display y-axis ticks | Yes/No | No
-[no]sequence | Display the sequence on the graph | Yes/No | Yes
-window | Sequence display window size | Any integer value | 40
-bases | Base graphs to be displayed | Any string is accepted | GATC
Advanced qualifiers | Allowed values | Default
-separate | Separate the trace graphs for the 4 bases | Yes/No | No

## Input file format

This reads in a standard ABI trace file.

## Output file format

It outputs a file holding a normal nucleotide sequence.

It outputs a graphical image of the traces.
The graphical output from the above example is here.

The horizontal scale of the output image labelled 'Residue Position' is only a very approximate indication of the spacing of residues in the image. The real residue spacing is variable, as it relies on the speed with which the oligo-nucleotides are eluted in the ABI sequencer. Do not be surprised to see the nucleotide signals spaced at a much greater distance than the horizontal scale might suggest.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
cirdna | Draws circular maps of DNA constructs
lindna | Draws linear maps of DNA constructs
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display a sequence with restriction cut sites, translation etc
seealso | Finds programs sharing group names
showalign | Displays a multiple sequence alignment
showdb | Displays information on the currently available databases
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
textsearch | Search sequence documentation text. SRS and Entrez are faster!

## Author(s)

This application was written by Tim Carver (tcarver@hgmp.mrc.ac.uk)

## History

Written (January 2001) - Tim Carver

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments